package MyApp;
use strict;
use warnings;
use Catalyst qw/-Debug ConfigLoader Static::Simple/;
use Time::Piece;

our $VERSION = '0.01';
__PACKAGE__->setup;

sub default : Private {
    my ( $self, $c ) = @_;
    $c->response->body( $c->welcome_message );
}

sub hello : Local {
    my ( $self, $c ) = @_;
    my $entries = MyApp::Model::CDBI::Entry->retrieve_all;
    $c->stash( entries => $entries );
    $c->stash( now     => Time::Piece->new );
    $c->forward( $c->view('TT') );
}

1;
